• Es gibt nach dem Softwareupdate eine Reihe von Änderungen und Neuerungen in unserem Forum. Genaueres dazu findet Ihr in dieser Ankündigung. Hinweise, Kritik, Anregungen, Lob und Tadel bitte hier diskutieren.

[10.11 El Capitan] Verzweiflung bei .jar Datei

UserBrauchtHilfe

Erdapfel
Mitglied seit
07.12.15
Beiträge
3
Moin Leute,
ich bin verzweifelt und brauche eure Hilfe. Für mein Studium benötige ich die Software "Lecturnity", welchen man sich auf der folgenden Seite auch ausdrücklich für den Mac herunterladen kann: http://www.lecturnity.de/download/lecturnity-player/

Nun habe ich Java schon installiert und erhalte bei dem Download des Players eine .jar Datei, welche ich einfach nicht geöffnet, geschweige denn installiert bekomme. Ich bin einfach verzweifelt im Moment.

Hat jemand eine Idee der weiß sogar, wie ich das ganze zum Laufen bringe?

Ich würde mich über jede Hilfe freuen.

Anbei noch 2-3 Fotos, welche zeigen, wie das ganze auf dem Bildschirm aussieht



Bildschirmfoto 2015-12-07 um 21.44.53.pngBildschirmfoto 2015-12-07 um 21.45.03.pngBildschirmfoto 2015-12-07 um 21.45.16.png
 

MacAlzenau

Golden Noble
Mitglied seit
26.12.05
Beiträge
20.854
Und steht denn etwas in der Konsole (Programme/Dienstprogramme/Konsole), was Java betrifft oder dieses spezielle Programm?
Vielleicht ist eine andere Javaversion erforderlich.


Warum ist mein Nachtrag verschwunden? also nochmal, erweitert.
Edit: Bei mir erscheint keine Meldung in der Konsole.
Das Programm läuft nicht, obwohl ich gerade das neueste Java installiert habe - allerdings gibt das Terminal unter "java -version" weiterhin Version 1.6.0_65 aus. Die Webseite meldet aber, es sei 8.x installiert…
 
Zuletzt bearbeitet:

MacAlzenau

Golden Noble
Mitglied seit
26.12.05
Beiträge
20.854
Möglicherweise hat das offensichtlich ältere Programm (laut Webseite 2010 oder früher) Schwierigkeiten mit den Sicherheitseinstellungen, weil kein aktuelles Zertifikat vorliegt (falls das nicht nur für Java im Browser gilt).
 

fnL

Bismarckapfel
Mitglied seit
11.11.13
Beiträge
147
Zwei Lösungsvorschläge:
  1. Terminal öffnen > Zum Ordner navigieren > java -jar Dateiname
    Falls dabei eine Fehlermeldung kommt, bitte mal hier reinstellen.
  2. Java deinstallieren und die neueste Version der JRE installieren. So wie es ausschaut hast du noch die von Apple (über Xcode bereitgestellte?) installierte Java Version, die seit Java 6 nicht mehr aktualisiert wurde.
 

MacAlzenau

Golden Noble
Mitglied seit
26.12.05
Beiträge
20.854
Wenn ich die jar-Datei über das Terminal starten möchte (hab ich natürlich gleich getestet), bekomme ich, auch als Admin-Benutzer, den Hinweis "Permission denied".
Die Systemeinstellungen melden, anders als das Terminal, daß die neueste Version installiert sei.
In System/Library/Frameworks liegt, einige Unterordner tiefer, allerdings immer nicht eine Version von Oktober 2013 (erstellt) bzw, September 2014 (geändert).
 

UserBrauchtHilfe

Erdapfel
Mitglied seit
07.12.15
Beiträge
3
Moin,
erstmal danke für schnelle Hilfe! :)

also nun zu den Lösungsvorschlägen:

Ich habe das wie bescheren im Terminal eingegeben (hoffe richtig) und es erscheint dann folgendes

Bildschirmfoto 2015-12-08 um 09.33.10.png

nun habe ich nochmal die Java Version gecheckt:

Bildschirmfoto 2015-12-08 um 09.34.58.png

Ist es eventuell möglich, aufgrund der "alten Datei" einfach vorerst eine Java Version von 2010 zu installieren?

Lieben Gruß
 

Dr.Death

Aargauer Weinapfel
Mitglied seit
01.11.09
Beiträge
741
Du hast ein Leerzeichen zwischen "-jar" und "Dateinamen" vergessen..... sollte so aussehen:

Code:
java -jar /Users/julianitz/Desktop/LECTURNITY_Player_4_5.jar
Aber auch das wird ggf. nicht funktionieren..... habe es gerade selbst getestet:

Code:
java -jar /Users/Doc/Downloads/LECTURNITY_Player_4_5.jar
Exception in thread "main" java.lang.UnsatisfiedLinkError: imc.lecturnity.util.NativeUtils.failWithLiveContextInstallation(Ljava/lang/String;)Z
    at imc.lecturnity.util.NativeUtils.failWithLiveContextInstallation(Native Method)
    at imc.epresenter.player.Manager.main(Manager.java:154)
Den gleichen Fehler haben wohl auch andere User, die auf Linux unterwegs sind:

https://forum.ubuntuusers.de/topic/lecturnity-startet-nicht/

Mehr dazu kann ich leider auch nicht beitragen, sorry.

http://www.apfeltalk.de/community/threads/lecturnity-player.140174/
https://2ryanthara.wordpress.com/2008/03/09/lecturnity-player-unter-os-x/
 

UserBrauchtHilfe

Erdapfel
Mitglied seit
07.12.15
Beiträge
3
Gibt es denn sonst eventuell noch Alternativen dieses Programm zu starten? Also habt ihr Ideen? :)
 

15thbruce

Erdapfel
Mitglied seit
08.12.15
Beiträge
1
Ältere Java Version installieren oder es mal mit der Dev Versionsnummer probieren
 

rootie

Böhmischer Jungfernapfel
Mitglied seit
30.06.11
Beiträge
8.284
@UserBrauchtHilfe Hast Du die Verantwortlichen von LECTURNITY mal angemailt und sie mit der Fehlermeldung konfrontiert? Die schreiben doch sicher zurück was fehlt?